#ifndef TEXTURELODINFORMATION_H
#define TEXTURELODINFORMATION_H

#include <QtGui/QWidget>

namespace Ui {
    class TextureLodInformation;
}

class TextureLodInformation : public QWidget {
    Q_OBJECT
public:
    TextureLodInformation(QWidget *parent = 0);
    ~TextureLodInformation();

protected:
    void changeEvent(QEvent *e);

private:
    Ui::TextureLodInformation *m_ui;
    int id;
public slots:
    void textureLoaded(int);
    void updateWidgetValues(int);
};

#endif // TEXTURELODINFORMATION_H
